
.marblePage{
    position: relative;
    top: 100px;
    width: 100%;
}
.marbleHeader{
    position: relative;
    width: 100%;
    height: 300px;
}
.marbleHeader img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.marbleHeader span{
    display: block;
    position: absolute;
    top: 40px;
    left: 53px;
    font-weight: 600;
    font-size: 50px;
    color: rgb(255, 255, 255);
    padding: 0px 6px;
    border-radius: 5px;
    background-color: #00000080;
    box-shadow:0 1px 1px 0 rgb(0, 0, 0,0.16);
}

.mCatagoryMainPage{
    width: 100% ;
    display: flex;
    flex-flow: row;
padding-top: 10px;
}
.mCataV .mCataProducts{
   
}

/* products */
.marblePage{
    position: relative;
    top: 100px;
    width: 100%;
}
.marbleHeader{
    position: relative;
    width: 100%;
    height: 300px;
}
.marbleHeader img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.marbleHeader span{
    display: block;
    position: absolute;
    top: 40px;
    left: 53px;
    font-weight: 600;
    font-size: 50px;
    color: rgb(255, 255, 255);
    padding: 0px 6px;
    border-radius: 5px;
    background-color: #00000080;
    box-shadow:0 1px 1px 0 rgb(0, 0, 0,0.16);
}

.mCatagoryMainPage{
    width: 100% ;
    display: flex;
    flex-flow: row;
padding-top: 10px;
}
.mCataV .mCataProducts{
   
}

/* Products */
.cardi {
    position: relative;
    display: flex;
    flex-direction: column;
    margin: 10px;
    padding: 10px;
    max-width: 300px;
    box-sizing: content-box;

    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    /* background-color: #f9f9f9; */
    /* background-image: linear-gradient(135deg, #69FF97 10%, #00E4FF 100%); */
    /* background-image: linear-gradient(135deg, #3C8CE7 10%, #00EAFF 100%); */
    font-family: Arial, sans-serif;
  }
  
  .card-image {
    height: 200px;
    width: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    background-color: white;
    border-radius: 5px;
  }
  
  .card-image img {
    height: 100%;
    object-fit: cover;
  }
  
  .card-content {
    padding: 10px;
  }
  
  .card-title {
    font-size: 18px;
    margin: 0 0 10px;
    color: #333;
  }
  
  .card-description {
    font-size: 14px;
    color: #666;
    margin: 0 0 10px;
  }
  
  .card-rating {
    display: flex;
    align-items: center;
    margin: 0 0 10px;
  }
  .card-rating i{
    color: rgb(251, 179, 23);
  } 
  
  .star-icon {
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(star.png);
  }
  
  .card-rating-text {
    font-size: 14px;
    margin-left: 10px;
    color: #333;
  }
  
  .card-price {
    font-size: 18px;
    font-weight: bold;
    margin: 0 0 10px;
    color: #333;
  }
  .add-to-cart {
    display: block;
    background-image: linear-gradient(135deg, #F761A1 10%, #8C1BAB 100%);
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
  }
  .mobileNum{
    background-image: linear-gradient(135deg, #FF0099 10%, #493240 100%);
    color: #ffffff;
    border:none;
    /* border-radius: 8px; */
    margin-top: 10px;
    padding: 10px 10px;
    font-size: 16px;
    cursor: pointer;
  }
  .mobileNum i{
    padding-right: 8px;
    color: #ffffff;
  }
  .add-to-cart:hover {
    background-color: #0069d9;
  }
  
  .likeBnt{
    position: absolute;
    top: 14px;
    right: 14px;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.likeBnt button{
    background-color: #e2f7ff;
    width: 100%;
    height: 100%;
    border-radius: 18px;
    display: flex;
    align-items: center;
    justify-content: center;

  }
  .likeBnt button i{
    font-size: 20px;
  }
  .shareBtn{
    position: absolute;
    right: 20px;
    bottom: 20px;
    padding: 10px 0px 10px 10px;
  }
  .like-button, .share-button {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    background-color: transparent;
    cursor: pointer;
    transition: all 0.2s ease;
  }
  
  .like-button i:hover {
    color: #ff0095;
}
.share-button:hover{
      color: #007bff;

  }
  
.share-button i {
    margin-right: 5px;
    font-size: 16px;
  }
  
  .like-button span, .share-button span {
    font-size: 14px;
  }
  












@media only screen and (max-width:600px) {
    .marblePage{
        top: 65px;
    }
    .marbleHeader{
        height: 100px;
    }
    .marbleHeader span{
        top: 48px;
    left: 15px;
    font-weight: 600;
    font-size: 28px;
    color: rgb(255, 255, 255);
    padding: 0px 6px;
    border-radius: 5px;
    }
    .mCatagoryMainPage{
        flex-flow: column;

    }
    .mCataV{
        display: flex;
        justify-content: space-around;
        padding: 10px 0px;
    }
    .mCataV button{
        padding: 10px;
    }
    .mCataProducts{
        width: 100%;
    }
    .mCataProducts h2{
        padding-left: 20px;
    }
    .proM{
        position: relative;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    /* Products */
    .cardi {
        position: relative;
        display: flex;
        flex-direction: column;
        margin: 10px;
        padding: 10px;
        max-width: 300px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        /* background-color: #f9f9f9; */
        /* background-image: linear-gradient(135deg, #69FF97 10%, #00E4FF 100%); */
        /* background-image: linear-gradient(135deg, #3C8CE7 10%, #00EAFF 100%); */
        font-family: Arial, sans-serif;
      }
      
      .card-image {
        height: 200px;
        width: 300px;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        background-color: white;
        border-radius: 5px;
      }
      
      .card-image img {
        height: 100%;
        object-fit: cover;
      }
      
      .card-content {
        padding: 10px;
      }
      
      .card-title {
        font-size: 18px;
        margin: 0 0 10px;
        color: #333;
      }
      
      .card-description {
        font-size: 14px;
        color: #666;
        margin: 0 0 10px;
      }
      
      .card-rating {
        display: flex;
        align-items: center;
        margin: 0 0 10px;
      }
      .card-rating i{
        color: rgb(251, 179, 23);
      } 
      
      .star-icon {
        display: inline-block;
        width: 20px;
        height: 20px;
        background-image: url(star.png);
      }
      
      .card-rating-text {
        font-size: 14px;
        margin-left: 10px;
        color: #333;
      }
      
      .card-price {
        font-size: 18px;
        font-weight: bold;
        margin: 0 0 10px;
        color: #333;
      }
      .add-to-cart {
        display: block;
        background-image: linear-gradient(135deg, #F761A1 10%, #8C1BAB 100%);
        color: #fff;
        border: none;
        padding: 10px 20px;
        font-size: 16px;
        cursor: pointer;
      }
      .mobileNum{
        background-image: linear-gradient(135deg, #FF0099 10%, #493240 100%);
        color: #ffffff;
        border:none;
        /* border-radius: 8px; */
        margin-top: 10px;
        padding: 10px 10px;
        font-size: 16px;
        cursor: pointer;
      }
      .mobileNum i{
        padding-right: 8px;
        color: #ffffff;
      }
      .add-to-cart:hover {
        background-color: #0069d9;
      }
      
      .likeBnt{
        position: absolute;
        top: 14px;
        right: 14px;
        width: 35px;
        height: 35px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .likeBnt button{
        background-color: #e2f7ff;
        width: 100%;
        height: 100%;
        border-radius: 18px;
        display: flex;
        align-items: center;
        justify-content: center;
    
      }
      .likeBnt button i{
        font-size: 20px;
      }
      .shareBtn{
        position: absolute;
        right: 20px;
        bottom: 20px;
        padding: 10px 0px 10px 10px;
      }
      .like-button, .share-button {
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;
        background-color: transparent;
        cursor: pointer;
        transition: all 0.2s ease;
      }
      
      .like-button i:hover {
        color: #ff0095;
    }
    .share-button:hover{
          color: #007bff;
    
      }
      
    .share-button i {
        margin-right: 5px;
        font-size: 16px;
      }
      
      .like-button span, .share-button span {
        font-size: 14px;
      }
      
/* grid test */
.gridgallary{
  position: relative;
  top: 65px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}
.imgDiv{
  flex: 50%;
  padding: 0 4px;
}
.imgDiv img{
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}
}












@media only screen and (max-width:600px) {
    .marblePage{
        top: 65px;
    }
    .marbleHeader{
        height: 100px;
    }
    .marbleHeader span{
        top: 48px;
    left: 15px;
    font-weight: 600;
    font-size: 28px;
    color: rgb(255, 255, 255);
    padding: 0px 6px;
    border-radius: 5px;
    }
    .mCatagoryMainPage{
        flex-flow: column;

    }
    .mCataV{
        display: flex;
        justify-content: space-around;
        padding: 10px 0px;
    }
    .mCataV button{
        padding: 10px;
    }
    /* Products */
    .card {
        position: relative;
        display: flex;
        flex-direction: column;
        margin: 10px;
        padding: 10px;
        max-width: 300px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: 0 2px 5px rgba(0,0,0,0.1);
        /* background-color: #f9f9f9; */
        /* background-image: linear-gradient(135deg, #69FF97 10%, #00E4FF 100%); */
        /* background-image: linear-gradient(135deg, #3C8CE7 10%, #00EAFF 100%); */
        font-family: Arial, sans-serif;
      }
      
      .card-image {
        height: 200px;
        width: 300px;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        background-color: white;
        border-radius: 5px;
      }
      
      .card-image img {
        height: 100%;
        object-fit: cover;
      }
      
      .card-content {
        padding: 10px;
      }
      
      .card-title {
        font-size: 18px;
        margin: 0 0 10px;
        color: #333;
      }
      
      .card-description {
        font-size: 14px;
        color: #666;
        margin: 0 0 10px;
      }
      
      .card-rating {
        display: flex;
        align-items: center;
        margin: 0 0 10px;
      }
      .card-rating i{
        color: rgb(251, 179, 23);
      } 
      
      .star-icon {
        display: inline-block;
        width: 20px;
        height: 20px;
        background-image: url(star.png);
      }
      
      .card-rating-text {
        font-size: 14px;
        margin-left: 10px;
        color: #333;
      }
      
      .card-price {
        font-size: 18px;
        font-weight: bold;
        margin: 0 0 10px;
        color: #333;
      }
      .add-to-cart {
        display: block;
        background-image: linear-gradient(135deg, #F761A1 10%, #8C1BAB 100%);
        color: #fff;
        border: none;
        padding: 10px 20px;
        font-size: 16px;
        cursor: pointer;
      }
      .mobileNum{
        background-image: linear-gradient(135deg, #FF0099 10%, #493240 100%);
        color: #ffffff;
        border:none;
        /* border-radius: 8px; */
        margin-top: 10px;
        padding: 10px 10px;
        font-size: 16px;
        cursor: pointer;
      }
      .mobileNum i{
        padding-right: 8px;
        color: #ffffff;
      }
      .add-to-cart:hover {
        background-color: #0069d9;
      }
      
      .likeBnt{
        position: absolute;
        top: 14px;
        right: 14px;
        width: 35px;
        height: 35px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .likeBnt button{
        background-color: #e2f7ff;
        width: 100%;
        height: 100%;
        border-radius: 18px;
        display: flex;
        align-items: center;
        justify-content: center;
    
      }
      .likeBnt button i{
        font-size: 20px;
      }
      .shareBtn{
        position: absolute;
        right: 20px;
        bottom: 20px;
        padding: 10px 0px 10px 10px;
      }
      .like-button, .share-button {
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;
        background-color: transparent;
        cursor: pointer;
        transition: all 0.2s ease;
      }
      
      .like-button i:hover {
        color: #ff0095;
    }
    .share-button:hover{
          color: #007bff;
    
      }
      
    .share-button i {
        margin-right: 5px;
        font-size: 16px;
      }
      
      .like-button span, .share-button span {
        font-size: 14px;
      }
      

}